﻿using System.Collections.Generic;
using System.Windows;

namespace XamDataGridSample
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();

            var list = new List<dynamic>
                {
                    new { id = 1, Name = "One", IsTick = true, IsCustomText = true },
                    new { id = 2, Name = "Two", IsTick = true, IsCustomText = true },
                    new { id = 3, Name = "Three", IsTick = false, IsCustomText = true },
                };

            xamDataGrid1.DataSource = list;
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            var list = new List<dynamic>
                {
                    new { id = 4, Name = "Four", IsTick = true, IsCustomText = false },
                    new { id = 5, Name = "Five", IsTick = true, IsCustomText = true },
                    new { id = 6, Name = "Six", IsTick = false, IsCustomText = false },
                };

            xamDataGrid1.DataSource = list;
        }
    }
}
